R_CREATE_SOCKETPAIR(3)

EXPERIMENTAL_FUNC
r_create_socketpair - Create an un-named pair of connected sockets.

SYNOPSIS
#include <karma_r.h>

int r_create_socketpair

(int *fd1, int *fd2)

DESCRIPTION
This routine will create an un-named pair of connected sockets. This routine provides an enhanced interface to the <<socketpair(2)>> routine.

fd1 One end of the socketpair is written here.

fd2 The other end of the socketpair is written here.

RETURN VALUE
0 on success, else -1 and sets <<errno>> with the error code.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/